﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MasterDetails_SfDataGrid
{
   public class ProductInfo:INotifyPropertyChanged
    {
        int orderId;
        string productName;
        string productNameList;
        int productId;
        long phoneNumber;

        public int OrderID
        {
            get { return orderId; }
            set { orderId = value; RaisePropertyChanged("OrderID"); }
        }

       public int ProductId
        {
           get
            {
                return productId;
            }
           set
            {
                productId = value;
                RaisePropertyChanged("ProductId");
            }
        }

        public string ProductName
        {
            get { return productName; }
            set { productName = value; RaisePropertyChanged("ProductName"); }
        }

        public string ProductNameList
        {
            get { return productNameList; }
            set { productNameList = value; RaisePropertyChanged("ProductNameList"); }
        }

       public long PhoneNumber
        {
            get { return phoneNumber; }
            set
            {
                phoneNumber = value;
                RaisePropertyChanged("PhoneNumber");
            }
        }

       public event PropertyChangedEventHandler PropertyChanged;

       public void RaisePropertyChanged(string propName)
       {
           if (this.PropertyChanged != null)
               this.PropertyChanged(this, new PropertyChangedEventArgs(propName));
       }
    }
}
